Passa al contenuto principale

Server

Server of the account: dedicated server, cloud server, private cloud or virtual machine of a private cloud

server_idintegerrequired
purchase_idinteger | nullnullablerequired

Id of the purchase of the server (GET /api/v3/purchases/{purchase_id})

hostnamestring | nullnullablerequired
server_typestring | nullnullablerequired

Type of the server: PH for a dedicated (physical) server, VM for a virtual machine, HV for a hypervisor or a private cloud

activebooleanrequired

Whether the server is active: false once it has been deleted

consolidatedbooleanrequired

Whether the server is ready, with its provisioning complete

ip_address_idinteger | nullnullablerequired

Id of the primary IP address of the server (GET /api/v3/servers/{server_id}/ip-addresses/{ip_address_id})

ip_addressstring | nullnullablerequired

Primary IP address of the server

service_category_codestring | nullnullablerequired

Code of the service category of the server: DEDICATED (dedicated server), CLOUD (Cloud Server), CLOUD_SERVER_IOPS (Cloud VPS), CLOUD_SERVER_HA (Cloud Server HA), PRIVATE_CLOUD (private cloud) or PRIVATE_CLOUD_VM (virtual machine of a private cloud)

date_createddate-timenullablerequired
Server
{
"server_id": 0,
"purchase_id": 0,
"hostname": "string",
"server_type": "string",
"active": true,
"consolidated": true,
"ip_address_id": 0,
"ip_address": "string",
"service_category_code": "string",
"date_created": "2024-07-29T15:51:28.071Z"
}